import es

info = es.AddonInfo()
info.name     = "One Speed"
info.version  = "1.0"
info.url      = ""
info.basename = "speed"
info.author   = "Master aka DanielB"
es.ServerVar('onespeed_ver', info.version, 'One Speed version').makepublic()

velocity = { 'weapon_deagle': 250,
'weapon_m4a1': 230,
'weapon_tmp': 250,
'weapon_aug': 221,
'weapon_mac10': 250,
'weapon_m3': 220,
'weapon_ak47': 221,
'weapon_m249': 220,
'weapon_knife': 250,
'weapon_xm1014': 240,
'weapon_glock': 250,
'weapon_p90': 245,
'weapon_usp': 250,
'weapon_galil': 210,
'weapon_awp': 210,
'weapon_scout': 260,
'weapon_elite': 250,
'weapon_famas': 210,
'weapon_ump45': 250,
'weapon_mp5navy': 250,
'weapon_fiveseven': 250,
'weapon_g3sg1': 210,
'weapon_sg550': 210,
'weapon_sg552': 235}

standard_velocity = velocity['weapon_knife']

standard_velocity = float(standard_velocity)
    
def player_activeweapon(ev):
    weapon_velocity = velocity[ev['weapon']]
    speedmod = standard_velocity/weapon_velocity
    es.setplayerprop(ev['userid'], "CBasePlayer.localdata.m_flLaggedMovementValue", speedmod)

def load():
    es.msg('#multi', '#green[OneSpeed]#lightgreen Loaded!')

def unload():
    for i in es.getUseridList():
        es.setplayerprop(i, "CBasePlayer.localdata.m_flLaggedMovementValue", 1)
    es.msg('#multi', '#green[OneSpeed]#lightgreen Unloaded!')
    